import { Construct } from 'constructs';
export interface AppOptions {
    /**
     * The directory to output Kubernetes manifests.
     *
     * @default - CDK8S_OUTDIR if defined, otherwise "dist"
     */
    readonly outdir?: string;
}
/**
 * Represents a cdk8s application.
 */
export declare class App extends Construct {
    /**
     * The output directory into which manifests will be synthesized.
     */
    readonly outdir: string;
    /**
     * Defines an app
     * @param options configuration options
     */
    constructor(options?: AppOptions);
    /**
     * Synthesizes all manifests to the output directory
     */
    synth(): void;
    private static of;
}
