import { Construct } from "constructs";
export interface IncludeOptions {
    /**
     * Local file path or URL which includes a Kubernetes YAML manifest.
     *
     * @example mymanifest.yaml
     */
    readonly url: string;
}
/**
 * Reads a YAML manifest from a file or a URL and defines all resources as API
 * objects within the defined scope.
 *
 * The names (`metadata.name`) of imported resources will be preserved as-is
 * from the manifest.
 */
export declare class Include extends Construct {
    constructor(scope: Construct, name: string, options: IncludeOptions);
}
